import * as THREE from './vendor/three/build/three.module.js';
import * as OBC from './vendor/openbim-components/src/index.js';

document.addEventListener('DOMContentLoaded', () => {
    const container = document.querySelector('#scene');

    const components = new OBC.Components();
    components.scene = new OBC.SimpleScene(components);
    components.renderer = new OBC.SimpleRenderer(components, container);
    components.camera = new OBC.SimpleCamera(components);
    components.raycaster = new OBC.SimpleRaycaster(components);

    // Stars the app and updates components at 60 fps
    components.init();

    // Get a reference to the 3D scene
    const scene = components.scene.get();
});